For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
        • GETList
        • DELDelete
        • PATCHUpdate
          • GETList
          • POSTCreate
          • POSTRevoke
LogoLogo
Sign upLog in
API ReferenceOrganizationsUsersInvites

List

GET
https://api.icepanel.io/v1/organizations/:organizationId/users/invites
GET
/v1/organizations/:organizationId/users/invites
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.users.invites.list("organizationId");
8}
9main();
1{
2 "organizationUserInvites": [
3 {
4 "email": "string",
5 "expiresAt": "2024-01-15T09:30:00Z",
6 "permission": "billing",
7 "createdAt": "2024-01-15T09:30:00Z",
8 "createdBy": "user",
9 "createdById": "string",
10 "id": "string",
11 "organizationId": "string",
12 "landscapePermissions": {},
13 "revokedAt": "2024-01-15T09:30:00Z",
14 "revokedBy": "user",
15 "revokedById": "string",
16 "usedAt": "2024-01-15T09:30:00Z",
17 "usedByUserId": "string"
18 }
19 ]
20}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired

Response

OK
organizationUserInviteslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error